#!/usr/bin/env bash
#
# build_p4ruby.sh
#
# This provides our "build step" for the CD chain. We perform tests using the
# latest build of p4d and the p4api. If it's all ok, then the prelease gem
# is uploaded to our internal Gem server for further validation.
#
# Installation Dependencies
# -------------------------
#
# - RVM to manage the Ruby installation
# - The RVM version under test should have the 'inabox' gem installed and
#   configured to post to http://geminabox.das.perforce.com
# - Ant to execute our DocBook installation
#
# Usage
# -----
#

set -e
export PATH="$PATH:$HOME/.rvm/bin"

# Note that rvm seems to select 2.1.3 if you just specify 2.1
echo "RUBY_USE_VERSION=${RUBY_USE_VERSION}"

rvm use ${RUBY_USE_VERSION}

set -v

bundle install

if [ ! -f work/p4d ]; then
    gem install p4util
    p4util download p4d
    gem uninstall p4util p4ruby
fi

rake compile test package build.properties

# This builds the platform-specific pre-compiled gem
rake native gem

gem inabox pkg/p4ruby*.gem -g http://geminabox.das.perforce.com

